import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { Markdown } from 'markdownloader';
import { Header, Navbar, Nav, Row, Col } from 'rsuite';
import { PageContainer } from 'rsuite-docs';
import CodeView from 'react-code-view';

import RsuiteDemo from './src'
import './less/index.less';
import '../src/less/index.less';

const babelOptions = {
  presets: ['stage-0', 'react', 'es2015'],
  plugins: [
    'transform-class-properties'
  ]
};

class App extends Component {
  render() {
    return (
      <PageContainer
        activeKey="componentName"
        githubURL="https://github.com/rsuite/~"
      >
        <a id="README" className="target-fix" />
        <Markdown>{require('../README.md')}</Markdown>
        <h2 id="examples">示例</h2>
        <Row>
          <Col md={12}>
            <CodeView
              source={require('./md/demo.md')}
              dependencies={{
                RsuiteDemo
              }}
              babelTransformOptions={babelOptions}
            />
          </Col>
        </Row>
        <h2 >API</h2>
        <Markdown>
          {require('./md/props.md')}
        </Markdown>
      </PageContainer>
    );
  }
}

ReactDOM.render(<App />,
  document.getElementById('app')
);
